#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	ll n, m, x, y, z=0;
	cin >> n >> m;
	vector<ll> v(n+1);
	for(ll i=1; i<=n; i++)
    {
        cin >> v[i];
    }
    while(m--)
    {
        cin >> x >> y;
        z=max(z+v[x]+v[y],z-v[x]-v[y]);
    }
    cout << z << "\n";
    return 0;
}